# ps_open_file

(PECL ps >= 1.1.0)

ps_open_file — Opens a file for output

### Description

ps_open_file ( resource `$psdoc` [, string `$filename` ] ) : bool

Creates a new file on disk and writes the PostScript document into it. The file will be closed when ps_close() is called.

### Parameters

`psdoc`

  Resource identifier of the postscript file as returned by ps_new().

`filename`

  The name of the postscript file. If `filename` is not passed the document will be created in memory and all output will go straight to the browser.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- ps_close() - Closes a PostScript document